#!/bin/bash
# Gestion des fichiers Pure Data de Chimères Orchestra de 3 ordinateurs Raspberry Pi
# À partir d'un autre ordinateur
# Connection via le réseau en sans-fil (wlan0 ou wlan2). Le changer si besoin à la ligne 9.

# Commandes : ssh1, ssh2, ssh3, start, kill, reboot, rm, cp
arg="$1";


# COMMANDS
if [ $arg == "reset" ]
then
    confreset="/home/jr/Bureau/malinette-chimeres/projects/chimeres/conf/arms-0.txt";
    scp $confreset pi@192.168.0.101:/home/pi/malinette-chimeres/projects/chimeres/conf/101/;
    scp $confreset pi@192.168.0.102:/home/pi/malinette-chimeres/projects/chimeres/conf/102/;
    scp $confreset pi@192.168.0.103:/home/pi/malinette-chimeres/projects/chimeres/conf/103/;
fi

if [ $arg == "ssh1" ]
then
    ssh pi@192.168.0.101;
fi

if [ $arg == "ssh2" ]
then
    ssh pi@192.168.0.102;
fi

if [ $arg == "ssh3" ]
then
    ssh pi@192.168.0.103;
fi

if [ $arg == "reboot" ]
then
    ssh pi@192.168.0.101 'sudo reboot'; ssh pi@192.168.0.102 'sudo reboot'; ssh pi@192.168.0.103 'sudo reboot';
fi

if [ $arg == "kill101" ]
then
    ssh pi@192.168.0.101 'killall pd-extended';
fi

if [ $arg == "kill" ]
then
    ssh pi@192.168.0.101 'killall pd-extended'; ssh pi@192.168.0.102 'killall pd-extended'; ssh pi@192.168.0.103 'killall pd-extended';
    ssh pi@192.168.0.101 'killall pd-watchdog'; ssh pi@192.168.0.102 'killall pd-watchdog'; ssh pi@192.168.0.103 'killall pd-watchdog';
fi

if [ $arg == "startvnc" ]
then
    ssh pi@192.168.0.101 'tightvncserver'; ssh pi@192.168.0.102 'tightvncserver'; ssh pi@192.168.0.103 'tightvncserver';
fi

if [ $arg == "start" ]
then
    ssh pi@192.168.0.103 'pd-extended'; ssh pi@192.168.0.102 'pd-extended  -nogui'; ssh pi@192.168.0.101 'pd-extended';
fi

if [ $arg == "rm" ]
then
    ssh pi@192.168.0.101 'rm -rf /home/pi/malinette-chimeres'; ssh pi@192.168.0.102 'rm -rf /home/pi/malinette-chimeres'; ssh pi@192.168.0.103 'rm -rf /home/pi/malinette-chimeres';
fi

if [ $arg == "cp101" ]
then
    scp -r ~/Bureau/malinette-chimeres pi@192.168.0.101:/home/pi;
fi

if [ $arg == "cp103all" ]
then
    scp -r /home/pi/malinette-chimeres/projects/chimeres pi@192.168.0.100:/home/jr/malinette-chimeres-103/projects; scp -r /home/pi/malinette-chimeres/projects pi@192.168.0.101:/home/pi/malinette-chimeres/projects; scp -r /home/pi/malinette-chimeres/projects pi@192.168.0.102:/home/pi/malinette-chimeres/projects;
fi

if [ $arg == "cp103" ]
then
    scp -r /home/pi/malinette-chimeres/projects/chimeres jr@192.168.0.100:/home/jr/Bureau/malinette-chimeres-103/projects;
fi

if [ $arg == "cp" ]
then
    scp -r ~/Bureau/malinette-chimeres/projects/chimeres pi@192.168.0.101:/home/pi/malinette-chimeres/projects; scp -r ~/Bureau/malinette-chimeres/projects/chimeres pi@192.168.0.102:/home/pi/malinette-chimeres/projects; scp -r ~/Bureau/malinette-chimeres/projects/chimeres pi@192.168.0.103:/home/pi/malinette-chimeres/projects;
fi

if [ $arg == "cpall" ]
then
    scp -r ~/Bureau/malinette-chimeres pi@192.168.0.101:/home/pi; scp -r ~/Bureau/malinette-chimeres pi@192.168.0.102:/home/pi; scp -r ~/Bureau/malinette-chimeres pi@192.168.0.103:/home/pi
fi


if [ $arg == "cpfrom103" ]
then
    scp -r pi@192.168.0.103:/home/pi/malinette-chimeres ~/Bureau;
fi
